"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require("react-intl");

const template = configContext => {
  const React = configContext.lib.React;
  var _configContext$layout = configContext.layoutComponents;
  const Col = _configContext$layout.Col,
        Cols = _configContext$layout.Cols,
        Panel = _configContext$layout.Panel;
  const Field = configContext.recordComponents.Field;
  const extensions = configContext.config.extensions;

  // TODO: Some nagpra claim extension fields are interleaved with common fields in the info panel,
  // so they must be individually rendered with <Field> tags, instead of being able to just insert
  // the form snippet provided by the extension. This can be fixed by moving those fields in the
  // nagpra extension into the common part, which is where they really should have been.

  return React.createElement(
    Field,
    { name: "document" },
    React.createElement(
      Panel,
      { name: "info", collapsible: true },
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "claimNumber" }),
          React.createElement(Field, { name: "nagpraClaimName", subpath: "ns2:claims_nagpra" }),
          React.createElement(
            Field,
            { name: "nagpraClaimAltNameGroupList", subpath: "ns2:claims_nagpra" },
            React.createElement(
              Field,
              { name: "nagpraClaimAltNameGroup" },
              React.createElement(Field, { name: "nagpraClaimAltName" }),
              React.createElement(Field, { name: "nagpraClaimAltNameNote" })
            )
          ),
          React.createElement(
            Field,
            { name: "claimantGroupList" },
            React.createElement(
              Field,
              { name: "claimantGroup" },
              React.createElement(Field, { name: "claimFiledBy" }),
              React.createElement(Field, { name: "claimFiledOnBehalfOf" }),
              React.createElement(Field, { name: "claimantNote" })
            )
          )
        ),
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "nagpraClaimTypes", subpath: "ns2:claims_nagpra" },
            React.createElement(Field, { name: "nagpraClaimType" })
          ),
          React.createElement(
            Field,
            { name: "claimReceivedGroupList" },
            React.createElement(
              Field,
              { name: "claimReceivedGroup" },
              React.createElement(Field, { name: "claimReceivedDate" }),
              React.createElement(Field, { name: "claimReceivedNote" })
            )
          ),
          React.createElement(
            Field,
            { name: "nagpraClaimNotes", subpath: "ns2:claims_nagpra" },
            React.createElement(Field, { name: "nagpraClaimNote" })
          )
        )
      )
    ),
    extensions.nagpra.claim.form
  );
};

exports.default = configContext => ({
  messages: (0, _reactIntl.defineMessages)({
    name: {
      "id": "form.claim.default.name",
      "defaultMessage": "Standard Template"
    }
  }),
  template: template(configContext)
});